GET api/CosEccSummary/GetOrderVitalSign?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfOrderVitalSignDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of OrderVitalSignDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"OrderId": 2,
"EntityID": 3,
"EntityTypeID": 4,
"ReportedDateTime": "2026-08-04T14:29:34.5900538-07:00",
"SystolicBP": 1.0,
"DiastolicBP": 1.0,
"HR": 1.0,
"RR": 1.0,
"PulseOx": 1.0,
"Temp": 1.0,
"BG": 1.0,
"TempUnit": "sample string 6",
"HeightUnit": "sample string 7",
"WeightUnit": "sample string 8",
"ReportedTime": "00:00:00.1234567",
"CustomReportedTime": "sample string 10",
"isEdit": true,
"Position": "sample string 12",
"PositionId": 1,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:34.5900538-07:00",
"DateUpdated": "2026-08-04T14:29:34.5900538-07:00",
"UserIDCreated": 16,
"UserIDUpdated": 17,
"CompanyCode": "sample string 18",
"IsExcludeDiscount": true
},
{
"Id": 1,
"OrderId": 2,
"EntityID": 3,
"EntityTypeID": 4,
"ReportedDateTime": "2026-08-04T14:29:34.5900538-07:00",
"SystolicBP": 1.0,
"DiastolicBP": 1.0,
"HR": 1.0,
"RR": 1.0,
"PulseOx": 1.0,
"Temp": 1.0,
"BG": 1.0,
"TempUnit": "sample string 6",
"HeightUnit": "sample string 7",
"WeightUnit": "sample string 8",
"ReportedTime": "00:00:00.1234567",
"CustomReportedTime": "sample string 10",
"isEdit": true,
"Position": "sample string 12",
"PositionId": 1,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:34.5900538-07:00",
"DateUpdated": "2026-08-04T14:29:34.5900538-07:00",
"UserIDCreated": 16,
"UserIDUpdated": 17,
"CompanyCode": "sample string 18",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}